<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.etl.mapper.EtlWarningInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="etlWarningInfoEntityResultMap" type="org.springblade.etl.entity.EtlWarningInfoEntity">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>

        <result column="STCD" property="stcd"/>
        <result column="WARN_NAME" property="warnName"/>
        <result column="WARN_TIME" property="warnTime"/>
        <result column="WARN_LEVEL_CODE" property="warnLevelCode"/>
        <result column="WARN_INFO" property="warnInfo"/>
        <result column="WARN_STATUS" property="warnStatus"/>
        <result column="REVIEW_STATUS" property="reviewStatus"/>
        <result column="TYPE" property="type"/>
        <result column="REMARK" property="remark"/>
        <result column="RAIN_WARN_RATE" property="rainWarnRate"/>
        <result column="WARN_SORT" property="warnSort"/>
        <result column="WARN_LOCATION" property="warnLocation"/>
        <result column="WARN_ADCD" property="warnAdcd"/>
        <result column="USER_ADCD" property="userAdcd"/>
        <result column="WARN_LGTD" property="warnLgtd"/>
        <result column="WARN_LTTD" property="warnLttd"/>
        <result column="INTV" property="intv"/>
        <result column="DRP" property="drp"/>
        <result column="Z" property="z"/>
        <result column="Q" property="q"/>
        <result column="WPTN" property="wptn"/>
        <result column="RZ" property="rz"/>
        <result column="RWPTN" property="rwptn"/>
        <result column="INQ" property="inq"/>
        <result column="REL_WARN_ID" property="relWarnId"/>
        <result column="ORIGINAL_CREATE_USER" property="originalCreateUser"/>
        <result column="ORIGINAL_CREATE_TIME" property="originalCreateTime"/>
        <result column="ORIGINAL_UPDATE_USER" property="originalUpdateUser"/>
        <result column="ORIGINAL_UPDATE_TIME" property="originalUpdateTime"/>
    </resultMap>




    <!--<select id="selectPage" resultMap="checkOrderInfoVOResultMap">-->
        <!--SELECT-->
         <!--o.*,u.real_name,i.rtu_name,p.project_name,d2.dept_name AS org_name-->
        <!--FROM-->
        <!--rtu_failure_check_order o-->
        <!--LEFT JOIN rtu_info i ON i.rtu_code = o.rtu_code-->
        <!--LEFT JOIN blade_user u ON u.id = o.update_user-->
        <!--LEFT JOIN  project_info p ON i.project_id = p.id-->
        <!--LEFT JOIN  blade_dept d2 ON i.org_id = d2.id-->
        <!--WHERE-->
        <!--o.is_deleted = 0-->
        <!--<if test="checkOrderInfoDTO.rtuCode!=null">-->
            <!--and o.rtu_code like concat(concat('%', #{checkOrderInfoDTO.rtuCode}), '%')-->
        <!--</if>-->
        <!--<if test="checkOrderInfoDTO.rtuName!=null">-->
            <!--and i.rtu_name like concat(concat('%', #{checkOrderInfoDTO.rtuName}), '%')-->
        <!--</if>-->
    <!--</select>-->
</mapper>
